<?php
  include("votos_clase.php");
  include("connect.php");
  $querystring=$_POST["querystring"];
  $encuesta=$_POST["encuesta"];
  $result=explode("_",$encuesta);
  if(count($result)!=3) die();
  $id=$result[1];
  $opt=$result[2];
  if(!isset($_SESSION["votos"])) $_SESSION["votos"]=new votos();
  if(!$_SESSION["votos"]->votar($id)) {
    echo "<script>";
    echo "alert(\"No es pot votar mes d'una vegada dins de la mateixa enquesta.\");";
    echo "history.back();";
    echo "</script>";
    exit;
  }
  $result=mysql_query("select * from encuestas where id='".$id."'",$link);
  $row=mysql_fetch_array($result);
  $count=$row["count".$opt]+1;
  mysql_query("update encuestas set count".$opt."='".$count."' where id='".$id."'",$link) or die(mysql_error());
  echo "<script>";
  echo "alert(\"El seu vot s'ha procesat correctament. Gracies per votar.\");";
  echo "document.location='inicio.php?page=encuestas&id=$id';";
  echo "</script>";
  exit;
?>
